List all tags for the authenticated user's company
curl --request GET \
--url https://api.lighton.ai/api/v3/tags \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lighton.ai/api/v3/tags"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lighton.ai/api/v3/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2",
"results": [
[
{
"id": 1,
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z",
"name": "Report",
"description": "Documents summarizing exchanges, meetings notes, transcripts.",
"auto_assign": true,
"document_count": 15
},
{
"id": 2,
"created_at": "2024-01-14T09:00:00Z",
"updated_at": "2024-01-14T09:00:00Z",
"name": "Product",
"description": "Product management docs. Design, strategy, roadmaps, release notes.",
"auto_assign": false,
"document_count": 8
}
]
]
}{
"id": null,
"code": 401,
"error": "unauthorized",
"detail": "Authentication credentials were not provided or are invalid.",
"doc_url": "https://developers.lighton.ai/errors#unauthorized"
}{
"id": null,
"code": 500,
"error": "internal_server_error",
"detail": "An unexpected error occurred. Please try again later.",
"doc_url": "https://developers.lighton.ai/errors#internal_server_error"
}{
"detail": "System is under maintenance.",
"error": "service_maintenance",
"mode": "full_shutdown",
"reason": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"endpoint_category_names": [
"<string>"
]
}Tags
List all tags for the authenticated user's company
Retrieve a list of tags for the authenticated user’s company. Results are ordered by creation date (newest first).
GET
/
api
/
v3
/
tags
List all tags for the authenticated user's company
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter by auto_assign flag. True if the tag can be automatically assigned by the system, False if it can only be assigned manually.
Filter by tag name (case-insensitive partial match)
A page number within the paginated result set.
Number of results to return per page.
⌘I